
data {
    int N;		//	The number of trials
    int Res[N];		//	Responses:  1 denotes -, 2 denotes +
    real X[N];		//	Stimuli
    real a;             //      Parameter alpha of gamma distribution
    real b;             //      Parameter beta of gamma distribution
}

parameters {
    real<lower = 0.0> sgm;
    real pse;
}

transformed parameters {
    vector[2] p[N];		//	Probabilities for X[N]
    for (i in 1:N){
        p[i][1] = 1 - Phi((X[i] - pse) / sgm);
        p[i][2] = Phi((X[i] - pse) / sgm);
    }
}

model {
    sgm ~ gamma(a, b);
    pse ~ gamma(a, b);
    for (i in 1:N)
        Res[i] ~ categorical(p[i]);
}


